.hero .container {
    position: relative;
}

.hero-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 500px;
    border-radius: 30px;
    background: linear-gradient(135deg, #41d5c5, #64e9d6);
}

.hero-bg h1 {
    position: absolute;
    top: 30px;
    width: 100%;
    text-align: center;
    font-size: 140px;
    color: #fff;
}

.mockup-wrapper {
    position: relative;
    height: 540px;
    transform-style: preserve-3d;
    perspective: 1200px;
}

.mockup {
    position: absolute;
    transition: 0.2s;
}

.pc {
    width: 525px;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
}

.phone {
    width: 170px;
    left: 20%;
    bottom: 30px;
    z-index: 5;
}

.cup {
    width: 190px;
    right: 20%;
    bottom: 10px;
    z-index: 4;
}

.pc {
    animation: float1 4s ease-in-out infinite;
}

.phone {
    animation: float2 3.5s ease-in-out infinite;
}

.cup {
    animation: float3 5s ease-in-out infinite;
}

@keyframes float1 {
    0%,
    100% {
        transform: translateX(-50%) translateY(0);
    }

    50% {
        transform: translateX(-50%) translateY(-12px);
    }
}

@keyframes float2 {
    0%,
    100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-15px);
    }
}

@keyframes float3 {
    0%,
    100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-8px);
    }
}

@media (max-width: 1000px) {
    .hero-bg h1 {
        font-size: 100px;
    }

    .mockup-wrapper {
        height: 640px;
    }

    .box-wrapper {
        width: 100%;
    }
    .hero-bg {
        border-radius: 0;
    }
}
